.TH dbm_nextdbm() "" "" "NDBM Function (libgdbm)"
.PC "Retrieve the next key from an NDBM data base"
.B "#include <ndbm.h>"
\fBdatum dbm_nextkey (\fIdatabase\^\fB)\fR
\fBDBM *\fIdatabase\^\fB;\fR
.PP
Function
.B dbm_nextkey()
retrieves the next key from the data base to which
.I database
points.
.I database
must first have been opened via a call to function
.BR dbm_open() ,
and had the first key retrieved from it via a call to function
.BR dbm_firstkey() .
.PP
.B dbm_nextkey()
returns the address of the record it has retrieved.
If something has gone wrong, it returns NULL.
If the last record within
.I database
has already been retrieved, it returns a record whose field
.B dptr
is NULL.
.SH "See Also"
.XR "dbm_firstkey()," dbm_first
.XR "dbm_open()," dbm_open
.XR "ndbm.h," ndbm.h
.XR "libgdbm" libgdbm
.SH Notes
For a statement of copyright and permissions on this routine, see the
Lexicon entry for
.BR libgdbm .
